package com.fs.course.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.course.domain.FsCourseProduct;

/**
 * 拍单商品Mapper接口
 * 
 * @author fs
 * @date 2025-07-28
 */
public interface FsCourseProductMapper extends BaseMapper<FsCourseProduct>{
    /**
     * 查询拍单商品
     * 
     * @param id 拍单商品主键
     * @return 拍单商品
     */
    FsCourseProduct selectFsCourseProductById(Long id);

    /**
     * 查询拍单商品列表
     * 
     * @param fsCourseProduct 拍单商品
     * @return 拍单商品集合
     */
    List<FsCourseProduct> selectFsCourseProductList(FsCourseProduct fsCourseProduct);

    /**
     * 新增拍单商品
     * 
     * @param fsCourseProduct 拍单商品
     * @return 结果
     */
    int insertFsCourseProduct(FsCourseProduct fsCourseProduct);

    /**
     * 修改拍单商品
     * 
     * @param fsCourseProduct 拍单商品
     * @return 结果
     */
    int updateFsCourseProduct(FsCourseProduct fsCourseProduct);

    /**
     * 删除拍单商品
     * 
     * @param id 拍单商品主键
     * @return 结果
     */
    int deleteFsCourseProductById(Long id);

    /**
     * 批量删除拍单商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsCourseProductByIds(Long[] ids);
}
